Subject: [bug#68606] role of core-updates

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 24 Jan 2024 14:22:08 -0500

Hi Andreas,

Andreas Enge <[email-masked]> writes:

> Hello,
>
> Am Sat, Dec 09, 2023 at 11:33:54AM +0100 schrieb Andreas Enge:
>> Am Sat, Dec 09, 2023 at 11:16:14AM +0100 schrieb Ludovic Courtès:
>> > With that in mind, ‘core-updates’ would effectively become the branch of
>> > the ‘core-packages’ team: the branch where we update packages in these
>> > files (primarily the toolchain and Guile), perhaps also (guix build
>> > utils), and that’s all.
>> > How does that sound?
>> Sounds good, thanks to you and Maxim for thinking it through!
>
> is the current core-updates branch ready for building and merging?
> I am looking at an issue:
>    https://issues.guix.gnu.org/68606
> that adds a patch (updating patchelf) that, as far as I understand, is
> already available on core-updates. So I feel somewhat blocked for the
> issue.
>
> The last merge was in spring of 2023, I think, and my patch updating wget
> is lingering in the branch since last July. So I am afraid we are reenacting
> the problems we had with the historic core-updates branch. It would be nice
> to merge and to move the branch to its new purpose.
>
> Also,
>    https://issues.guix.gnu.org/65200
> from last August is blocked by a core-updates merge (it should probably go
> to the new-style core-updates branch, and would be the starting point of
> working on bootstrapping from a newer GMP).

Since patchelf is core material, if the rest of the series depend on
that update, it should go to core-updates as well.  Now is as good a
time as any, since work has picked to get it into a mergeable state.

-- 
Thanks,
Maxim